%define rel 1
%define subrel 1

Name: ruby-qt4
Summary: Ruby SMOKE adaptor for Qt
Version: 4.8.5
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2 and LGPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/qtruby-%version.tar.xz
BuildRequires: smokeqt-devel >= 1:%version
BuildRequires: pkgconfig(phonon)
BuildRequires: qscintilla-qt4-devel
BuildRequires: ruby-devel
BuildRequires: libqwt-devel
BuildRequires: cmake

%description
A qt4 bindings for Ruby language.

%files
%doc README TODO AUTHORS ChangeLog
%_bindir/rbqtapi
%ruby_sitearchdir/qscintilla.so
%ruby_sitearchdir/qtdeclarative.so
%ruby_sitearchdir/qtruby4.so
%ruby_sitearchdir/qtuitools.so
%ruby_sitearchdir/qtwebkit.so
%ruby_sitearchdir/qtscript.so
%ruby_sitearchdir/qttest.so
%ruby_sitearchdir/qwt.so
%ruby_sitearchdir/phonon.so
%ruby_sitelibdir/Qt.rb
%ruby_sitelibdir/Qt3.rb
%ruby_sitelibdir/Qt4.rb
%ruby_sitelibdir/qwt/qwt.rb
%ruby_sitelibdir/Qt
%ruby_sitelibdir/qscintilla
%ruby_sitelibdir/qtdeclarative
%ruby_sitelibdir/qtuitools
%ruby_sitelibdir/qtwebkit
%ruby_sitelibdir/qtscript
%ruby_sitelibdir/qttest
%ruby_sitelibdir/phonon

#------------------------------------------------------------------------------

%define libqtruby4shared_major 2
%define libqtruby4shared %mklibname qtruby4shared %{libqtruby4shared_major}

%package -n %{libqtruby4shared}
Summary: Runtime library for Ruby SMOKE adaptor for Qt
Group: Development/KDE and Qt

%description -n %{libqtruby4shared}
Ruby SMOKE adaptor for Qt

This package provides the runtime library.

%files -n %{libqtruby4shared}
%_libdir/libqtruby4shared.so.%{libqtruby4shared_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Header files for ruby-qt4
Group: Development/KDE and Qt
Requires: ruby-qt4 = %epoch:%version-%release
Requires: %{libqtruby4shared} = %epoch:%version-%release

%description devel
Ruby SMOKE adaptor for Qt

This package provides the devel files.

%files devel
%_bindir/rbrcc
%_bindir/rbuic4
%_libdir/libqtruby4shared.so
%_includedir/qtruby
%_datadir/qtruby4/cmake/*.cmake

#------------------------------------------------------------------------------

%prep
%setup -qn qtruby-%version

%build
export LD=/usr/bin/ld.gold
%cmake_qt4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 1:4.8.5-1.1.mga2
+ Revision: 279076
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4
- New upstream tarball

  + fwang <fwang>
    - new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 221034
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198143
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190887
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185800
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182232
- Update tarball to KDE SC 4.7.90
- Fix BuildRequires
- Fix macro usage
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176582
- Update tarball to KDE SC 4.7.4
- Remove redundant BuildRequires

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161438
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151994
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140684
- Update tarball to KDE SC 4.7.1
- Update tarball to KDE SC 4.7.0

* Tue Jul 12 2011 mikala <mikala> 1:4.6.95-1.mga2
+ Revision: 122688
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Fri Jul 01 2011 fwang <fwang> 1:4.6.90-1.mga2
+ Revision: 117107
- update file list
- imported package ruby-qt4

